Summary: A utility for removing files based on when they were last accessed.
Name: tmpwatch
Version: 2.6.2
Release: 1.3.0
Source: tmpwatch-%{version}.tar.gz
Vendor: Guardian Digital, Inc.
Packager: Guardian Digital, Inc. <http://www.linuxseclabs.com>
Copyright: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: psmisc

%description
The tmpwatch utility recursively searches through specified
directories and removes files which have not been accessed in a
specified period of time.  Tmpwatch is normally used to clean up
directories which are used for temporarily holding files (for example,
/tmp).  Tmpwatch ignores symlinks, won't switch filesystems and only
removes empty directories and regular files.

%prep
%setup -q

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT MANDIR=%{_mandir} install

( cd $RPM_BUILD_ROOT
  mkdir -p ./etc/cron.daily
  echo '/usr/sbin/tmpwatch 240 /tmp /var/tmp' \
	>> ./etc/cron.daily/tmpwatch
  chmod +x ./etc/cron.daily/tmpwatch
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0750,root,root) /usr/sbin/tmpwatch
%doc %{_mandir}/man8/tmpwatch.8*
%config /etc/cron.daily/tmpwatch

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-EnGarde changelog.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.6.2, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Sun Nov 19 2000 Dave Wreski <dave@guardiandigital.com>
- remove X11R6 references

* Fri Oct 27 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to tpmwatch
